from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XItemList(Protocol):
    def removeAllItems(self) -> None: ...
    def getAllItems(self) -> string > >: ...
    def addItemListListener(self, Listener: XItemListListener) -> None: ...
    def removeItemListListener(self, Listener: XItemListListener) -> None: ...
